Deployment Operations - List

Gets all deployments operations for a deployment.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/deployments/{deploymentName}/operations?api-version=2021-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/deployments/{deploymentName}/operations?$top={$top}&api-version=2021-04-01

URI Parameters

Name In Required Type Description
deploymentName
path True
  • string

The name of the deployment.

Regex pattern: ^[-\w\._\(\)]+$

resourceGroupName
path True
  • string

The name of the resource group. The name is case insensitive.

Regex pattern: ^[-\w\._\(\)]+$

subscriptionId
path True
  • string

The Microsoft Azure subscription ID.

api-version
query True
  • string

The API version to use for this operation.

$top
query
  • integer
int32

The number of results to return.

Responses

Name Type Description
200 OK

OK - Return an array of deployment operations.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

CloudError

An error response for a resource management request.

DeploymentOperation

Deployment operation information.

DeploymentOperationProperties

Deployment operation properties.

DeploymentOperationsListResult

List of deployment operations.

ErrorAdditionalInfo

The resource management error additional info.

ErrorResponse

Error Response

HttpMessage

HTTP message.

ProvisioningOperation

The name of the current provisioning operation.

StatusMessage

Operation status message object.

TargetResource

Target resource.

CloudError

An error response for a resource management request.

Name Type Description
error

Error Response
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.)

DeploymentOperation

Deployment operation information.

Name Type Description
id
  • string

Full deployment operation ID.

operationId
  • string

Deployment operation ID.

properties

Deployment properties.

DeploymentOperationProperties

Deployment operation properties.

Name Type Description
duration
  • string

The duration of the operation.

provisioningOperation

The name of the current provisioning operation.

provisioningState
  • string

The state of the provisioning.

request

The HTTP request message.

response

The HTTP response message.

serviceRequestId
  • string

Deployment operation service request id.

statusCode
  • string

Operation status code from the resource provider. This property may not be set if a response has not yet been received.

statusMessage

Operation status message from the resource provider. This property is optional. It will only be provided if an error was received from the resource provider.

targetResource

The target resource.

timestamp
  • string

The date and time of the operation.

DeploymentOperationsListResult

List of deployment operations.

Name Type Description
nextLink
  • string

The URL to use for getting the next set of results.

value

An array of deployment operations.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorResponse

Error Response

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

HttpMessage

HTTP message.

Name Type Description
content
  • object

HTTP message content.

ProvisioningOperation

The name of the current provisioning operation.

Name Type Description
Action
  • string

The provisioning operation is action.

AzureAsyncOperationWaiting
  • string

The provisioning operation is waiting Azure async operation.

Create
  • string

The provisioning operation is create.

Delete
  • string

The provisioning operation is delete.

DeploymentCleanup
  • string

The provisioning operation is cleanup. This operation is part of the 'complete' mode deployment.

EvaluateDeploymentOutput
  • string

The provisioning operation is evaluate output.

NotSpecified
  • string

The provisioning operation is not specified.

Read
  • string

The provisioning operation is read.

ResourceCacheWaiting
  • string

The provisioning operation is waiting for resource cache.

Waiting
  • string

The provisioning operation is waiting.

StatusMessage

Operation status message object.

Name Type Description
error

Error Response
The error reported by the operation.

status
  • string

Status of the deployment operation.

TargetResource

Target resource.

Name Type Description
id
  • string

The ID of the resource.

resourceName
  • string

The name of the resource.

resourceType
  • string

The type of the resource.